version: "3.3"
services:
  ###############################################################################
  # NGINX
  ###############################################################################
  nginx:
    volumes:
      - ./config/nginx/etc/conf.d/dev.conf:/etc/nginx/conf.d/default.template
  ###############################################################################
  # Authenticator
  ###############################################################################
  authenticator:
    build:
      context: ./authenticator
      dockerfile: dev.Dockerfile
    volumes:
      - ./authenticator:/usr/app
      - /usr/app/node_modules
    ports:
      - "$AUTHENTICATOR_DEBUG_PORT:9226"
  ###############################################################################
  # PDFGenerator
  ###############################################################################
  pdfgenerator:
    build:
      context: ./pdfgenerator
      dockerfile: dev.Dockerfile
    volumes:
      - ./pdfgenerator:/usr/app
      - /usr/app/node_modules
    ports:
      - "$PDFGENERATOR_DEBUG_PORT:9227"
  ###############################################################################
  # Emailer
  ###############################################################################
  emailer:
    build:
      context: ./emailer
      dockerfile: dev.Dockerfile
    volumes:
      - ./emailer:/usr/app
      - /usr/app/node_modules
    ports:
      - "$EMAILER_DEBUG_PORT:9228"
  ###############################################################################
  # api
  ###############################################################################
  api:
    build:
      context: ./api
      dockerfile: dev.Dockerfile
    volumes:
      - ./api:/usr/app
      - /usr/app/node_modules
    ports:
      - "$API_DEBUG_PORT:9230"
  ###############################################################################
  # Frontend
  ###############################################################################
  frontend:
    build:
      context: ./frontend
      dockerfile: dev.Dockerfile
    volumes:
      - ./frontend:/usr/app
      - /usr/app/node_modules
      - /usr/app/public
